/*************************************************************/
/* File        : dockapp.h                                   */
/* Author      : Paul Lemmens (paul.lemmens@student.kun.nl)  */
/* Description : Defines everything needed for the icon      */
/* License     : GNU GPL                                     */
/*************************************************************/

/*
wmseti is a Windowmaker dockapp that displays seti@home client statistics.
Copyright (C) 2000 Paul Lemmens

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

#ifndef __dockapp_h__
#define __dockapp_h__

#include "wmsetirc-file.h"
#include "pixmap.h"
#include "statistics.h"

#define MASK_WIDTH 	64	/* pixels */
#define MASK_HEIGHT 	64	/* pixels */
char mask_bits[MASK_WIDTH * MASK_HEIGHT];

/* blitstring() prints a string in the dockapp icon (left aligned). */
void blitstring(const char *, const int, const int);

/* blitnum() prints a number in the dockapp (left aligned). */
void blitnum(const int, const int, const int);

/* Determine where to start a string which needs to be right-aligned. */
int right_align(const char *, const pixmap_t *);
int right_align_int(const int, const pixmap_t *);

/* print_stats() prints out all required stats on the dockapp. */
int print_stats(const stats_t *, wmsetirc_t *, const pixmap_t *);

/* dockapp() is the actual routine starting the dockapp and 
 * displaying the statistics. */
int dockapp(wmsetirc_t *, const pixmap_t *, int, char **);

#endif /* __dockapp_h__ */
