/*************************************************************/
/* File        : files-dirs.h                                */
/* Author      : Paul Lemmens (paul.lemmens@student.kun.nl)  */
/* Description : Defines everything for dir and file handling*/
/* License     : GNU GPL                                     */
/*************************************************************/

/*
wmseti is a Windowmaker dockapp that displays seti@home client statistics.
Copyright (C) 2000 Paul Lemmens

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

#ifndef __files_dirs_h__
#define __files_dirs_h__

#define HOME_LEN 128		/* 128 characters for /home/foobar/user. */

/* Tries to expand its argument to an absolute directory. */
char *expand_dir(char *);

/* Verifies if its argument is an existing directory on the system. */
int existing_dir(const char *);

#endif /* __files_dirs_h__ */
